Contributing
============

Thank you for considering contributing to Brutaldon

You can contribute in the following ways:

- Finding and reporting bugs
- Translating the Brutaldon interface into various languages
- Contributing code to Brutaldon by fixing bugs or implementing features
- Creating/improving the documentation

## Bug reports

Bug reports and feature suggestions must use descriptive and concise titles and be submitted to [GitLab Issues](https://gitlab.com/brutaldon/brutaldon/-/issues). Please use the search function to make sure that you are not submitting duplicates, and that a similar report or request has not already been resolved or rejected.

## Translations

We currently lack a formal process for this. Translations can be submitted via merge request to the gitlab repo.

## Merge requests

**Please use clean, concise titles for your merge requests.** Unless the merge request is about refactoring code, updating dependencies or other internal tasks, assume that the person reading the merge request title is not a programmer or Brutaldon developer, but instead a Brutaldon user or server administrator, and **try to describe your change or fix from their perspective**. 

**The smaller the set of changes in the merge request is, the quicker it can be reviewed and merged.** Splitting tasks into multiple smaller merge requests is often preferable.

## Documentation

We would love assistance in creating a formal documentation process for this project.
